/*
 * 作成日: 2005/02/16
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.scorm.individuallog;
import java.util.ArrayList;
import java.util.List;

import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogUserProgressResult;
import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogUserProgressStoreData;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogUserProgressResultWrap{

	/**
	 * 
	 */
	public IndividualLogUserProgressResultWrap() {
		// TODO 自動生成されたコンストラクター・スタブ
		result = null;
	}
	
	public IndividualLogUserProgressResult result;
	
	
	/**
	 * @return result を戻します。
	 */
	public IndividualLogUserProgressResult getResult() {
		return result;
	}
	/**
	 * @param result result を設定。
	 */
	public void setResult(IndividualLogUserProgressResult result) {
		this.result = result;
	}
	/**
	 * @return result.dwResidanceTimeCnt を戻します。
	 */
	public double getDwResidanceTimeCnt() {
		return result.dwResidanceTimeCnt;
	}
	/**
	 * @return result.dwStoreMaxScore を戻します。
	 */
	public double getDwStoreMaxScore() {
		return result.dwStoreMaxScore;
	}
	/**
	 * @return result.dwStoreNewScore を戻します。
	 */
	public double getDwStoreNewScore() {
		return result.dwStoreNewScore;
	}
	/**
	 * @return result.dwStoreScaledMaxScore を戻します。
	 */
	public double getDwStoreScaledMaxScore() {
		return result.dwStoreScaledMaxScore;
	}
	/**
	 * @return result.dwStoreScaledNewScore を戻します。
	 */
	public double getDwStoreScaledNewScore() {
		return result.dwStoreScaledNewScore;
	}
	/**
	 * @return result.flAccessCountCnt を戻します。
	 */
	public float getFlAccessCountCnt() {
		return result.flAccessCountCnt;
	}
	/**
	 * @return result.flAUCount を戻します。
	 */
	public float getFlAUCount() {
		return result.flAUCount;
	}
	/**
	 * @return result.flUnitComplete を戻します。
	 */
	public float getFlUnitComplete() {
		return result.flUnitComplete;
	}
	/**
	 * @return result.flUnitPass を戻します。
	 */
	public float getFlUnitPass() {
		return result.flUnitPass;
	}
	/**
	 * @return result.flValidCnt を戻します。
	 */
	public float getFlValidCnt() {
		return result.flValidCnt;
	}
	/**
	 * @return result.flValidCntEx を戻します。
	 * add by shioda 2006/1/3
	 */
	public float getFlValidCntEx() {
		return result.flValidCntEx;
	}
	/**
	 * @return result.lOType を戻します。
	 */
	public String getLOType() {
		return result.LOType;
	}
	/**
	 * @return result.strForeignLOID を戻します。
	 */
	public String getStrForeignLOID() {
		return result.strForeignLOID;
	}
	/**
	 * @return result.strLOID を戻します。
	 */
	public String getStrLOID() {
		return result.strLOID;
	}
	/**
	 * @return result.strLOName を戻します。
	 */
	public String getStrLOName() {
		return result.strLOName;
	}
	/**
	 * @return result.strUID を戻します。
	 */
	public String getStrUID() {
		return result.strUID;
	}
	/**
	 * @return result.strUserID を戻します。
	 */
	public String getStrUserID() {
		return result.strUserID;
	}
	/**
	 * @return result.strUserName を戻します。
	 */
	public String getStrUserName() {
		return result.strUserName;
	}
	/**
	 * @return result.studySessionCnt を戻します。
	 */
	public Integer getStudySessionCnt() {
		if ( result.StudySessionCnt != null ) {
			return new Integer(result.StudySessionCnt);
		} else {
			return new Integer(0);
		}
	}
	/**
	 * @return result.studySessionCntMax を戻します。
	 */
	public Integer getStudySessionCntMax() {
		if ( result.StudySessionCntMax != null ) {
			return new Integer(result.StudySessionCntMax);
		} else {
			return new Integer(0);
		}
	}
}
